package com.xjrsoft.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author: tzx
 * @Date: 2023/4/4 14:47
 */
@Data
@Component
@ConfigurationProperties("xjrsoft.chatgpt")
public class ChatGptConfig {

    /**
     * 代理类型 可以不填
     */
    private Integer proxyType;
    /**
     * 代理  可以不填
     */
    private String proxy;

    /**
     * 端口 可以不填
     */
    private Integer port;

    /**
     * key
     */
    private String apiKey;

    /**
     * 最大返回长度 这个参数用于限制要生成的最多单词/标记数
     */
    private Integer maxTokens;

    /**
     * 使用的模型
     */
    private String model;

    /**
     * 控制语言模型输出的随机性或创造性的参数  随机程度
     */
    private String temperature;

    /**
     *使用温度的另一种选择，也叫核采样（nucleus sampling）
     */
    private String topP;
}
