package com.xjrsoft.module.app.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * xjr_app_page_design【app端展示页面设计】
 * </p>
 *
 * @author hnyyzy
 * @since 2023-06-25
 */
@TableName("xjr_app_page_design")
@ApiModel(value = "XjrAppPageDesign对象", description = "xjr_app_page_design【app端展示页面设计】")
@Data
@EqualsAndHashCode(callSuper = false)
public class AppPageDesign extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("app菜单id")
    private Long appMenuId;

    @ApiModelProperty("页面名称")
    private String name;

    @ApiModelProperty("页面编码")
    private String code;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否是菜单：（0：是，1：否）")
    private Integer isMenu;

    @ApiModelProperty("功能类别id")
    private Long categoryId;

    @ApiModelProperty("图标")
    private String icon;

    @ApiModelProperty("排序码")
    private Integer sortCode;

    @ApiModelProperty("json内容")
    private String jsonContent;

}
