package com.xjrsoft.module.assessment.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.assessment.entity.AssessmentPlanQuestion;
import com.xjrsoft.module.assessment.entity.AssessmentPlanAnswerClass;
import com.xjrsoft.module.assessment.entity.AssessmentPlanAnswerStudent;



/**
* @title: 考核计划
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Data
public class AddAssessmentTemplatePlanDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 计划开始时间
    */
    @ApiModelProperty("计划开始时间")
    private Date startTime;
    /**
    * 计划结束时间
    */
    @ApiModelProperty("计划结束时间")
    private Date endTime;
    /**
    * 状态(0:未发布 1:已发布)
    */
    @ApiModelProperty("状态(0:未发布 1:已发布)")
    private Integer status;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

    /**
     * 选人方式
     */
    @ApiModelProperty("选人方式(全部：all 随机：random)")
    private String type;

    /**
     * 随机人数
     */
    @ApiModelProperty("随机人数")
    private Integer randomNumber;

    @ApiModelProperty("班级id")
    private List<Long> classIds;

    @ApiModelProperty("学期id(base_semester)")
    private Long baseSemesterId;

}
