package com.xjrsoft.module.assessment.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 考核模板题目
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
@TableName("assessment_question")
@ApiModel(value = "assessment_question", description = "考核模板题目")
public class AssessmentQuestion implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 题目题干
    */
    @ApiModelProperty("题目题干")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 题目类型
    */
    @ApiModelProperty("题目类型")
    private String type;

    @ApiModelProperty("类别(1:大题 2:小题 3:选项)")
    private Integer category;

    @ApiModelProperty("父级id")
    private Long parentId;

    /**
    * 是否必填(1:是 0:否)
    */
    @ApiModelProperty("是否必填(1:是 0:否)")
    private Short required;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

}