package com.xjrsoft.module.assessment.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.assessment.dto.AssessmentPlanAnswerPageDto;
import com.xjrsoft.module.assessment.dto.AssessmentPlanAnswerStudentDto;
import com.xjrsoft.module.assessment.dto.AssessmentTemplatePlanPageDto;
import com.xjrsoft.module.assessment.entity.AssessmentTemplatePlan;
import com.xjrsoft.module.assessment.vo.AssessmentPlanAnswerStudentPageVo;
import com.xjrsoft.module.assessment.vo.AssessmentPlanAnswerStudentVo;
import com.xjrsoft.module.assessment.vo.AssessmentPlanAnswerTeacherPageVo;
import com.xjrsoft.module.assessment.vo.AssessmentTemplatePlanPageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
* @title: 考核计划
* @Author dzx
* @Date: 2024-04-01
* @Version 1.0
*/
@Mapper
public interface AssessmentTemplatePlanMapper extends MPJBaseMapper<AssessmentTemplatePlan> {

    /**
     * 分页查询
     * @param page
     * @param dto
     */
    Page<AssessmentTemplatePlanPageVo> getPage(Page<AssessmentTemplatePlanPageVo> page, AssessmentTemplatePlanPageDto dto);


    Page<AssessmentPlanAnswerTeacherPageVo> getTeacherPage(Page<AssessmentPlanAnswerTeacherPageVo> page, AssessmentPlanAnswerPageDto dto);

    Page<AssessmentPlanAnswerStudentPageVo> getStudentPage(Page<AssessmentPlanAnswerStudentPageVo> page, AssessmentPlanAnswerPageDto dto);

    List<AssessmentTemplatePlanPageVo> getMobilePage(@Param("dto") AssessmentTemplatePlanPageDto dto);

    List<AssessmentPlanAnswerStudentVo> getAnswerStudent(@Param("dto") AssessmentPlanAnswerStudentDto dto);

    List<Long> getSemesterClass(Long id);
}
