package com.xjrsoft.module.assessment.vo;

import com.xjrsoft.common.model.tree.ITreeNode;
import com.xjrsoft.module.asset.vo.PlaceTreeVo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
* @title: 考核模板题目表单出参
* @Author dzx
* @Date: 2024-03-29
* @Version 1.0
*/
@Data
public class AssessmentQuestionVo implements ITreeNode<AssessmentQuestionVo, Long>, Serializable {

    /**
    * 
    */
    @ApiModelProperty("")
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 题目题干
    */
    @ApiModelProperty("题目题干")
    private String name;
    /**
    * 分数
    */
    @ApiModelProperty("分数")
    private Long score;
    /**
    * 题目类型
    */
    @ApiModelProperty("题目类型")
    private String type;
    /**
    * 是否必填(1:是 0:否)
    */
    @ApiModelProperty("是否必填(1:是 0:否)")
    private Short required;
    /**
    * 考核模板id(assessment_template)
    */
    @ApiModelProperty("考核模板id(assessment_template)")
    private Long assessmentTemplateId;

    @ApiModelProperty("")
    private Long parentId;

    @ApiModelProperty("")
    private List<AssessmentQuestionVo> children;

    @ApiModelProperty("类别(1:大题 2:小题 3:选项)")
    private Integer category;

    /**
     * assessmentQuestion
     */
    @ApiModelProperty("题目选项")
    private List<AssessmentQuestionVo> options;

    @ApiModelProperty("答案")
    private String value;

    @ApiModelProperty("选择数量")
    private Integer chooseCount;


}
