package com.xjrsoft.module.asset.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 资产管理
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
public class AddWfAssetManageDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 资产类型
    */
    @ApiModelProperty("资产类型")
    private String assetType;
    /**
    * 资产类别
    */
    @ApiModelProperty("资产类别")
    private String assetCategory;
    /**
    * 资产种类
    */
    @ApiModelProperty("资产种类")
    private String assetSpecies;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 所属部门[xjr_department]
    */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptId;
    /**
    * 使用人id[xjr_user]
    */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userId;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private BigDecimal amount;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;

}
