package com.xjrsoft.module.asset.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 资产管理
* @Author dzx
* @Date: 2024-03-28
* @Version 1.0
*/
@Data
@TableName("wf_asset_manage")
@ApiModel(value = "wf_asset_manage", description = "资产管理")
public class WfAssetManage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 资产类型
    */
    @ApiModelProperty("资产类型")
    private String assetType;
    /**
    * 资产类别
    */
    @ApiModelProperty("资产类别")
    private String assetCategory;
    /**
    * 资产种类
    */
    @ApiModelProperty("资产种类")
    private String assetSpecies;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 所属部门[xjr_department]
    */
    @ApiModelProperty("所属部门[xjr_department]")
    private Long deptId;
    /**
    * 使用人id[xjr_user]
    */
    @ApiModelProperty("使用人id[xjr_user]")
    private Long userId;
    /**
    * 金额
    */
    @ApiModelProperty("金额")
    private BigDecimal amount;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Short status;
    /**
     * 其他信息
     */
    @ApiModelProperty("其他信息")
    private String extendJson;
}