package com.xjrsoft.module.attendance.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 考勤消息设置
* @Author dzx
* @Date: 2024-05-21
* @Version 1.0
*/
@Data
@TableName("attendance_message_set")
@ApiModel(value = "attendance_message_set", description = "考勤消息设置")
public class AttendanceMessageSet implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 
    */
    @ApiModelProperty("")
    @TableId
    private Long id;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 
    */
    @ApiModelProperty("")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 
    */
    @ApiModelProperty("")
    private Integer sortCode;
    /**
    * 人员类别(1:教职工 2:学生)
    */
    @ApiModelProperty("人员类别(1:教职工 2:学生)")
    private Integer roleType;
    /**
    * 消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)
    */
    @ApiModelProperty("消息类别(1:迟到消息 2:旷课消息 3:缺勤消息)")
    private Integer messageCategory;
    /**
    * 时间段(1:上午 2:下午 3:晚上 4:返校)
    */
    @ApiModelProperty("时间段(1:上午 2:下午 3:晚上 4:返校)")
    private String timePeriod;
    /**
    * 指定人员
    */
    @ApiModelProperty("指定人员")
    private String userRelation;

    /**
    * attendanceMessageUserRelation
    */
    @ApiModelProperty("attendanceMessageUserRelation子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "attendanceMessageSetId")
    private List<AttendanceMessageUserRelation> attendanceMessageUserRelationList;

}