package com.xjrsoft.module.attendance.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 学生考勤记录
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
@TableName("student_attendance_record")
@ApiModel(value = "student_attendance_record", description = "学生考勤记录")
public class StudentAttendanceRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 学生userId(xjr_user)
    */
    @ApiModelProperty("学生userId(xjr_user)")
    private Long userId;
    /**
    * 班主人id(xjr_user)
    */
    @ApiModelProperty("班主人id(xjr_user)")
    private Long teacherId;
    /**
    * 班级id(class)
    */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
    * 就读方式(xjr_dictionary_item[stduy_status])
    */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;


}