package com.xjrsoft.module.attendance.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 学生考勤记录分页列表出参
* @Author dzx
* @Date: 2024-05-15
* @Version 1.0
*/
@Data
public class StudentAttendanceRecordPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 学生userId(xjr_user)
    */
    @ApiModelProperty("学生userId(xjr_user)")
    private Long userId;
    /**
    * 班主人id(xjr_user)
    */
    @ApiModelProperty("班主人id(xjr_user)")
    private Long teacherId;
    /**
    * 班级id(class)
    */
    @ApiModelProperty("班级id(class)")
    private Long classId;
    /**
    * 就读方式(xjr_dictionary_item[stduy_status])
    */
    @ApiModelProperty("就读方式(xjr_dictionary_item[stduy_status])")
    private String stduyStatus;
    /**
    * 考勤状态(xjr_dictionary_detail[attendance_status])
    */
    @ApiModelProperty("考勤状态(xjr_dictionary_detail[attendance_status])")
    private String attendanceStatus;
    /**
    * 时段（1：上午，2：下午，3：晚上）
    */
    @ApiModelProperty("时段（1：上午，2：下午，3：晚上）")
    private Integer timeInterval;
    /**
     * 班级
     */
    @ApiModelProperty("班级")
    private String classCn;
    /**
     * 班主人
     */
    @ApiModelProperty("班主人")
    private Long teacherCn;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 就读方式
     */
    @ApiModelProperty("就读方式")
    private String stduyStatusCn;
    /**
     * 考勤状态
     */
    @ApiModelProperty("考勤状态")
    private String attendanceStatusCn;
    /**
     * 性别
     */
    @ApiModelProperty("性别")
    private String gender;
}
