package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Data
@TableName("base_class")
@ApiModel(value = "BaseClass", description = "班级表")
public class BaseClass implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("班级名称")
    private String name;

    @ApiModelProperty("班级代码")
    private String code;

    @ApiModelProperty("所属年级(base_grade)")
    private Long gradeId;

    @ApiModelProperty("招生类型(xjr_dictionary_item[enroll_type])")
    private String enrollType;

    @ApiModelProperty("组织机构(xjr_department)")
    private Long orgId;

    @ApiModelProperty("是否订单班")
    private Integer isOrderClass;

    @ApiModelProperty("固定教室(base_classroom)")
    private Long classroomId;

    @ApiModelProperty("班主任(xjr_user)")
    private Long teacherId;

    @ApiModelProperty("在读状态(1: 在读 2: 毕业)")
    private Integer isGraduate;

    @ApiModelProperty("班级类型(xjr_dictionary_item[class_type])")
    private String classType;
}
