package com.xjrsoft.module.base.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 班级表
 * </p>
 *
 * @author baomidou
 * @since 2023-09-02 04:52:58
 */
@Data
@TableName("base_classroom")
@ApiModel(value = "BaseClassroom", description = "教室表")
public class BaseClassroom implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("创建人")
    private Long createUserId;

    @ApiModelProperty("创建时间")
    private Date createDate;

    @ApiModelProperty("修改人")
    private Long modifyUserId;

    @ApiModelProperty("修改时间")
    private Date modifyDate;

    @ApiModelProperty("删除标记")
    private Integer deleteMark;

    @ApiModelProperty("有效标志")
    private Integer enabledMark;

    @ApiModelProperty("教室名称")
    private String name;

    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;

    @ApiModelProperty("楼层")
    private Integer floorNum;

    @ApiModelProperty("教室用途(xjr_dictionary_item[purpose])")
    private String purpose;

    @ApiModelProperty("教室类型(xjr_dictionary_item[classroom_type])")
    private String classroomType;

    @ApiModelProperty("组织机构(xjr_department)")
    private Long orgId;

    @ApiModelProperty("面积（平米）")
    private Double square;

    @ApiModelProperty("容量（人数）")
    private Double capacity;

    @ApiModelProperty("状态（1:可用 0:停用）")
    private Integer status;
}
