package com.xjrsoft.module.evaluate.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 评价管理
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@TableName("evaluate_manage")
@ApiModel(value = "evaluate_manage", description = "评价管理")
public class EvaluateManage implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价模版编号
    */
    @ApiModelProperty("评价模版编号")
    private Long evaluateTemplateId;
    /**
    * 学期id
    */
    @ApiModelProperty("学期id")
    private Long baseSemesterId;
    /**
    * 发布部门id
    */
    @ApiModelProperty("发布部门id")
    private Long orgId;
    /**
    * 评价名称
    */
    @ApiModelProperty("评价名称")
    private String name;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 状态（1：进行中，0，暂停）
    */
    @ApiModelProperty("状态（-1：未发布，1：进行中，0，暂停）")
    private Integer status;
    /**
     * 是否自动生成（0:否，1:是）
     */
    @ApiModelProperty("是否自动生成（0:否，1:是）")
    private Integer isAutoCreate;
    /**
     * 生成频率（xjr_dictionary_detail[create_frequency]）
     */
    @ApiModelProperty("生成频率（xjr_dictionary_detail[create_frequency]）")
    private String createFrequency;
    /**
    * evaluateObject
    */
    @ApiModelProperty("evaluateObject子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "evaluateManageId")
    private List<EvaluateObject> evaluateObjectList;
    /**
    * evaluateExecuter
    */
    @ApiModelProperty("evaluateExecuter子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "evaluateManageId")
    private List<EvaluateExecuter> evaluateExecuterList;

}