package com.xjrsoft.module.evaluate.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 评价项
* @Author dzx
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
@TableName("evaluate_manage_item")
@ApiModel(value = "evaluate_manage_item", description = "评价管理题目")
public class EvaluateManageItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 评价模版编号
    */
    @ApiModelProperty("评价管理编号")
    private Long evaluateManageId;
    /**
    * 标题名称
    */
    @ApiModelProperty("标题名称")
    private String topic;
    /**
    * 题目名称
    */
    @ApiModelProperty("题目名称")
    private String problem;
    /**
    * 题目分数（最小为0，只能整数）
    */
    @ApiModelProperty("题目分数（最小为0，只能整数）")
    private Integer score;
    /**
    * 输入框是否为空
    */
    @ApiModelProperty("输入框是否为空")
    private Integer inputNotNull;

    /**
     * 评价项编号
     */
    @ApiModelProperty("评价项编号")
    private Long evaluateItemId;
}