package com.xjrsoft.module.evaluate.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 评价结果表单出参
* @Author szs
* @Date: 2024-01-16
* @Version 1.0
*/
@Data
public class EvaluateResultVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 评价项编号
    */
    @ApiModelProperty("评价项编号")
    private Long evaluateItemId;
    /**
    * 参评人编号
    */
    @ApiModelProperty("参评人编号")
    private String userId;
    /**
    * 被评对象（teacher：老师，class：班级，student：学生）
    */
    @ApiModelProperty("被评对象（teacher：老师，class：班级，student：学生）")
    private String evaluatedObject;
    /**
    * 被评对象编号
    */
    @ApiModelProperty("被评对象编号")
    private Long evaluatedObjectId;
    /**
    * 评价分数
    */
    @ApiModelProperty("评价分数")
    private Integer score;
    /**
    * 建议/意见
    */
    @ApiModelProperty("建议/意见")
    private String opinion;



}
