package com.xjrsoft.module.holiday.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 分页列表出参
* @Author fanxp
* @Date: 2024-03-26
* @Version 1.0
*/
@Data
public class HolidayDateListVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 日期yyyy-MM-dd
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("日期yyyy-MM-dd")
    @ApiModelProperty("日期yyyy-MM-dd")
    private String date;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Integer year;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Integer month;
    /**
    * 
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("")
    @ApiModelProperty("")
    private Integer day;
    /**
    * 0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日")
    @ApiModelProperty("0=普通工作日 1=周末 2=需要补班的工作日 3=法定节假日")
    private Integer status;
    /**
    * 方式 1=系统数据 2=用户数据
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("方式 1=系统数据 2=用户数据")
    @ApiModelProperty("方式 1=系统数据 2=用户数据")
    private Integer way;
    /**
    * 删除状态 0=正常 1=删除
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除状态 0=正常 1=删除")
    @ApiModelProperty("删除状态 0=正常 1=删除")
    private Integer deleteStatus;

}
