package com.xjrsoft.module.ledger.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.ledger.dto.AddLedgerConfigReleaseDto;
import com.xjrsoft.module.ledger.dto.LedgerConfigReleasePageDto;
import com.xjrsoft.module.ledger.dto.UpdateLedgerConfigReleaseDto;
import com.xjrsoft.module.ledger.entity.LedgerConfigRelease;
import com.xjrsoft.module.ledger.vo.LedgerConfigPageVo;
import com.xjrsoft.module.ledger.vo.LedgerConfigReleaseInfoVo;
import com.xjrsoft.module.ledger.vo.LedgerConfigReleaseVo;

import java.util.List;

/**
* @title: 台账发布表
* @Author dzx
* @Date: 2024-03-07
* @Version 1.0
*/

public interface ILedgerConfigReleaseService extends MPJBaseService<LedgerConfigRelease> {

    /**
     * 分页查询
     * @param page
     * @param dto
     * @return
     */
    Page<LedgerConfigPageVo> getPage(Page<LedgerConfigPageVo> page, LedgerConfigReleasePageDto dto);

    Boolean addRelease(AddLedgerConfigReleaseDto dto);

    Boolean updateRelease(UpdateLedgerConfigReleaseDto dto);

    Boolean deleteRelease(List<Long> ids);

    LedgerConfigReleaseVo getRelease(Long id);

    LedgerConfigReleaseInfoVo getConfigInfo(Long id);
}
