package com.xjrsoft.module.material.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;


/**
* @title: 材料提交任务
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
@TableName("material_task")
@ApiModel(value = "材料提交任务对象", description = "材料提交任务")
public class MaterialTask implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 材料提交任务类型(material_type)
    */
    @ApiModelProperty("材料提交任务类型(material_type)")
    private Long materialTypeId;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
    /**
    * 任务名称
    */
    @ApiModelProperty("任务名称")
    private String name;
    /**
    * 状态 1=未开始 2=进行中 3=结束
    */
    @ApiModelProperty("状态 1=未开始 2=进行中 3=结束")
    private Integer status;
    /**
    * 要求完成日期
    */
    @ApiModelProperty("要求完成日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private LocalDate requiredCompleteTime;
    /**
    * 要求
    */
    @ApiModelProperty("要求")
    private String requirement;
    /**
    * 指派给几人
    */
    @ApiModelProperty("指派给几人")
    private Integer assignPerson;
    /**
    * 已提交人数
    */
    @ApiModelProperty("已提交人数")
    private Integer submitedPerson;
    /**
    * 按时提交
    */
    @ApiModelProperty("按时提交")
    private Integer onTimePerson;
    /**
    * 延迟提交
    */
    @ApiModelProperty("延迟提交")
    private Integer timeDelay;

    /**
    * materialTaskAssign
    */
    @ApiModelProperty("materialTaskAssign子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "materialTaskId")
    private List<MaterialTaskAssign> materialTaskAssignList;
    /**
    * materialTaskAppendix
    */
    @ApiModelProperty("materialTaskAppendix子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "materialTaskId")
    private List<MaterialTaskAppendix> materialTaskAppendixList;

}