package com.xjrsoft.module.material.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
* @title: 材料提交任务分配表单出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTaskAssignVo {

    /**
     * 主键编号
     */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
     * 材料提交任务(material_task)
     */
    @ApiModelProperty("材料提交任务(material_task)")
    private Long materialTaskId;
    /**
     * 用户(xjr_user)
     */
    @ApiModelProperty("用户(xjr_user)")
    private Long userId;
    /**
     * 用户类型 1=孝职工 2=学生
     */
    @ApiModelProperty("用户类型 1=孝职工 2=学生")
    private Integer userType;
    /**
     * 学号/工号
     */
    @ApiModelProperty("学号/工号")
    private String userNumber;
    /**
     * 状态 1=未提交 2=待审核 3=通过 4=重做
     */
    @ApiModelProperty("状态 1=未提交 2=待审核 3=通过 4=重做")
    private Integer status;
    /**
     * 执行提交 1=未提交 2=按时提交 3=延迟提交
     */
    @ApiModelProperty("执行提交 1=未提交 2=按时提交 3=延迟提交")
    private Integer executiveStatus;
    /**
     * 转办任务分配ID(material_task_assign)
     */
    @ApiModelProperty("转办任务分配ID(material_task_assign)")
    private Long transferMaterialTaskId;
    /**
     * 转办给几人
     */
    @ApiModelProperty("转办给几人")
    private Integer transferAssignPerson;
    /**
     * 转办已提交人数
     */
    @ApiModelProperty("转办已提交人数")
    private Integer transferSubmitedPerson;
    /**
     * 是否发送消息 0=不发 1=发送
     */
    @ApiModelProperty("是否发送消息 0=不发 1=发送")
    private Integer sendMessage;
    /**
     * 发送消息状态 0=未不发 1=已发送
     */
    @ApiModelProperty("发送消息状态 0=未不发 1=已发送")
    private Integer sendMessageStatus;

    /**
     * 用户
     */
    @ApiModelProperty("用户")
    private String userName;

    /**
     * 部门
     */
    @ApiModelProperty("部门")
    private String deptName;
}
