package com.xjrsoft.module.material.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;
import java.util.List;

/**
* @title: 材料提交任务类型分页列表出参
* @Author baicai
* @Date: 2023-10-31
* @Version 1.0
*/
@Data
public class MaterialTypePageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 任务名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("任务名称")
    @ApiModelProperty("任务名称")
    private String name;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategory;
    /**
     * 任务类型(可多选 xjr_dictionary_detail[material_category])
     */
    @ApiModelProperty("任务类型(可多选 xjr_dictionary_detail[material_category])")
    private String materialCategoryCn;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private Long folderId;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private String folderIdCn;
    /**
     * 文件模板
     */
    @ApiModelProperty("文件模板")
    private List<File> files;
    /**
     * 表单发布
     */
    @ApiModelProperty("表单发布")
    private Long formReleaseId;
    /**
     * 表单发布
     */
    @ApiModelProperty("表单发布")
    private String formReleaseIdCn;

    /**
     * 模板预览
     */
    @ApiModelProperty("模板预览")
    private String templatePreview;

}
