package com.xjrsoft.module.oa.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.common.utils.VoToColumnUtil;
import com.xjrsoft.module.ledger.entity.WfSubscription;
import com.xjrsoft.module.oa.entity.OfficialDocumentReceived;
import com.xjrsoft.module.oa.mapper.OfficialDocumentPostMapper;
import com.xjrsoft.module.oa.mapper.OfficialDocumentReceivedMapper;
import com.xjrsoft.module.oa.service.IOfficialDocumentReceivedService;
import com.xjrsoft.module.oa.utils.PostNumberUtil;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.time.LocalDate;
import java.time.ZoneId;
import java.util.Date;
import java.util.List;
import java.util.Objects;
import java.util.stream.Collectors;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;

/**
* @title: 公文收文
* @Author szs
* @Date: 2024-03-13
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class OfficialDocumentReceivedServiceImpl extends MPJBaseServiceImpl<OfficialDocumentReceivedMapper, OfficialDocumentReceived> implements IOfficialDocumentReceivedService {
    private final OfficialDocumentReceivedMapper officialDocumentReceivedMapper;
    @Override
    public String getMaxReceivedNumber() {
        Integer maxReceivedNumber = officialDocumentReceivedMapper.getMaxReceivedNumber();
        return PostNumberUtil.initMaxPostNumber(maxReceivedNumber, 3);
    }

    @Override
    public String getMaxMeetingNumber() {
        Integer maxReceivedNumber = officialDocumentReceivedMapper.getMaxMeetingNumber();
        return PostNumberUtil.initMaxPostNumber(maxReceivedNumber, 3);
    }
}
