package com.xjrsoft.module.oa.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 公文收文表单出参
* @Author szs
* @Date: 2024-03-13
* @Version 1.0
*/
@Data
public class OfficialDocumentReceivedVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 收文标题
    */
    @ApiModelProperty("收文标题")
    private String receivedTitle;
    /**
    * 收文文号
    */
    @ApiModelProperty("收文文号")
    private String receivedNumber;
    /**
    * 收文时间
    */
    @ApiModelProperty("收文时间")
    private Date receivedDate;
    /**
    * 来文机构
    */
    @ApiModelProperty("来文机构")
    private String communicationOrg;
    /**
    * 来文文号
    */
    @ApiModelProperty("来文文号")
    private String communicationNumber;
    /**
    * 办结时间
    */
    @ApiModelProperty("办结时间")
    private Date checkoutTime;
    /**
    * 文件密级(xjr_dictionary_item[document_level])
    */
    @ApiModelProperty("文件密级(xjr_dictionary_item[document_level])")
    private String documentLevel;
    /**
    * 紧急程度(xjr_dictionary_item[emergency_level])
    */
    @ApiModelProperty("紧急程度(xjr_dictionary_item[emergency_level])")
    private String emergencyLevel;
    /**
    * 收文类型(xjr_dictionary_item[received_type])
    */
    @ApiModelProperty("收文类型(xjr_dictionary_item[received_type])")
    private String receivedType;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;



}
