package com.xjrsoft.module.organization.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@TableName("base_user_student")
@ApiModel(value = "家长学生关联表", description = "家长学生关联表")
public class UserStudent implements Serializable {

    private static final long serialVersionUID = 1L;
    private Long id;

    @ApiModelProperty("家长ID(xjr_user)")
    private Long userId;

    @ApiModelProperty("学生ID(xjr_user)")
    private Long studentId;

    @ApiModelProperty("流程状态（0:审核中,1:通过,2:拒绝）")
    private Integer status;

    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;

    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
}
