package com.xjrsoft.module.organization.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
public class UserInfoVo {
    private static final long serialVersionUID = 1L;

    /**
     * 账户
     */
    private String id;
    /**
     * 账户
     */
    private String userName;

    /**
     * 姓名
     */
    private String name;

    /**
     * 编号
     */
    private String code;

    /**
     * 昵称
     */
    private String nickName;

    /**
     * 地址
     */
    private String address;

    /**
     * 备注
     */
    private String remark;

    /**
     * 性别
     */
    private String gender;

    /**
     * 性别中文
     */
    private String genderCn;

    /**
     * 手机号
     */
    private String mobile;


    /**
     * 角色名称
     */
    private String postName;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 主页
     */
    private String homePath;

    /**
     * 班级
     */
    private Long classId;

    /**
     * 班级名称
     */

    private String className;

    /**
     *
     */
    private String openId;

    private  String unionId;


    /**
     * 所有部门信息
     */
    private List<UserDeptVo> departments;

    /**
     * 角色
     */
    private List<UserRoleVo> roles;

    /**
     * 所有部门信息
     */
    private List<UserPostVo> posts;

    /**
     * 家长绑定的学生
     */
    private List<UserStudentVo> students;

    @ApiModelProperty("签名地址")
    private String signUrl;

    @ApiModelProperty("签名文件id")
    private Long signFolderId;


    @ApiModelProperty("身份证")
    private String credentialNumber;
}
