package com.xjrsoft.module.organization.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;

/**
 * @title: UserVo
 * @Author tzx
 * @Date: 2022/4/4 17:10
 * @Version 1.0
 */
@Data
public class UserVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 账户
     */
    private String userName;

    /**
     * 姓名
     */
    private String name;

    /**
     * 编号
     */
    private String code;

    /**
     * 昵称
     */
    private String nickName;


    /**
     * 性别
     */
    private String gender;

    /**
     * 性别中文
     */
    private String genderCn;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 角色Id
     */
    private String postId;

    /**
     * 头像
     */
    private String avatar;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 地址
     */
    private String address;

    /**
     * 经度
     */
    private Double longitude;

    /**
     * 纬度
     */
    private Double latitude;

    /**
     * 排序码
     */
    private Integer sortCode;

    /**
     * 排序码
     */
    private String remark;

//    private String departmentId;

    private String departmentIds;

    private Integer enabledMark;

    private LocalDateTime createDate;

    private LocalDateTime modifyDate;

    @ApiModelProperty("微信号码")
    private String wechatNumber;

    @ApiModelProperty("qq号码")
    private String qqNumber;

    @ApiModelProperty("生日")
    private LocalDateTime birthDate;

    @ApiModelProperty("角色id")
    private List<Long> roleIds;
}

