package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.sql.Timestamp;

@Data
public class AddFaceManagementDto {
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 人脸编码
     */
    @ApiModelProperty("人脸编码")
    private String faceCode;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 性别 男, 女
     */
    @ApiModelProperty("性别 男, 女")
    private String sex;
    /**
     * 身份证号
     */
    @ApiModelProperty("身份证号")
    private String idno;
    /**
     * 名单有效期开始时间
     */
    @ApiModelProperty("名单有效期开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp peopleStartDate;
    /**
     * 名单有效期结束时间
     */
    @ApiModelProperty("名单有效期结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Timestamp peopleEndDate;
    /**
     * ic卡号（10位10进制）
     */
    @ApiModelProperty("ic卡号（10位10进制）")
    private String icno;
    /**
     * 状态 1=启用 2=禁用
     */
    @ApiModelProperty("状态 1=启用 2=禁用")
    private Integer status;
    /**
     * 文件ID(xjr_file)
     */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;

    /**
     * 用户类型 1 教职工 2 学生
     */
    @ApiModelProperty("用户类型 1 教职工 2 学生")
    private Long userType;
}
