package com.xjrsoft.module.personnel.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 车辆信息审核分页查询入参
* @Author dzx
* @Date: 2024-05-12
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class CarMessageApplyPageDto extends PageInput {

    /**
     * 部门id
     */
    @ApiModelProperty("部门id")
    private Long depId;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String userName;
    /**
     * 手机号
     */
    @ApiModelProperty("手机号")
    private String mobile;
    /**
     * 状态(0:未结束 1:结束)
     */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;

    /**
     * 车牌号
     */
    @ApiModelProperty("车牌号")
    private String carNumber;
}
