package com.xjrsoft.module.personnel.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.sql.Date;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper = false)
public class CarParkRecordsPageDto  extends PageInput {
    /**
     * 车牌号码
     */
    @ApiModelProperty("车牌号码")
    private String carNo;
    /**
     * 进场开始时间
     */
    @ApiModelProperty("进场开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime startInTime;
    /**
     * 进场结束时间
     */
    @ApiModelProperty("进场结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime endInTime;
    /**
     * 出场开始时间
     */
    @ApiModelProperty("出场开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date startOutTime;
    /**
     * 出场结束时间
     */
    @ApiModelProperty("出场结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date endOutTime;
    /**
     * 状态 1=进 2=出
     */
    @ApiModelProperty("状态 1=进 2=出")
    private Integer status;
    /**
     * 进类型 0=识别过车 1=人工处置
     */
    @ApiModelProperty("进类型 0=识别过车 1=人工处置")
    private Integer inPassing;
    /**
     * 进类型 0=识别过车 1=人工处置
     */
    @ApiModelProperty("进类型 0=识别过车 1=人工处置")
    private Integer outPassing;
}
