package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 工资发放表头
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
@TableName("base_personnel_labour_capital_title")
@ApiModel(value = "工资发放表头对象", description = "工资发放表头")
public class BasePersonnelLabourCapitalTitle implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 工资发放id
    */
    @ApiModelProperty("工资发放id")
    private Long labourCapitalId;
    /**
    * 表头名称
    */
    @ApiModelProperty("表头名称")
    private String name;
    /**
    * 所属行
    */
    @ApiModelProperty("所属行")
    private Integer rowsNumber;
    /**
    * 所属列
    */
    @ApiModelProperty("所属列")
    private Integer columnNumber;
    /**
    * 合并行数
    */
    @ApiModelProperty("合并行数")
    private Integer mergeRows;
    /**
    * 合并列数
    */
    @ApiModelProperty("合并列数")
    private Integer mergeColumns;


}