package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 车辆信息审核
* @Author dzx
* @Date: 2024-05-12
* @Version 1.0
*/
@Data
@TableName("car_message_apply")
@ApiModel(value = "car_message_apply", description = "车辆信息审核")
public class CarMessageApply implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 有效期开始日期
    */
    @ApiModelProperty("有效期开始日期")
    private Date startTime;
    /**
    * 有效期结束日期
    */
    @ApiModelProperty("有效期结束日期")
    private Date endTime;
    /**
    * 车辆类型
    */
    @ApiModelProperty("车辆类型")
    private String vehicleType;
    /**
    * 车牌号
    */
    @ApiModelProperty("车牌号")
    private String carNumber;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门审核人用户id
    */
    @ApiModelProperty("部门审核人用户id")
    private Long deptLederUserId;
    /**
     * 续期 (0:未续期 1:已续期)
     */
    @ApiModelProperty("续期 (0:未续期 1:已续期)")
    private Integer isContinue;
    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private  Long userId;

    @ApiModelProperty("审批状态(0:未通过 1:通过)")
    private Integer examStatus;
}