package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 预约进校
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
@TableName("reservation_school")
@ApiModel(value = "reservation_school", description = "预约进校")
public class ReservationSchool implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 进校事由
    */
    @ApiModelProperty("进校事由")
    private String reason;
    /**
    * 到访部门id
    */
    @ApiModelProperty("到访部门id")
    private Long deptId;
    /**
    * 被访人用户id
    */
    @ApiModelProperty("被访人用户id")
    private Long respondentUserId;
    /**
    * 进校时间
    */
    @ApiModelProperty("进校时间")
    private Date startTime;
    /**
    * 离校时间
    */
    @ApiModelProperty("离校时间")
    private Date endTime;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 拜访时间
    */
    @ApiModelProperty("拜访时间")
    private Integer time;
    /**
    * 部门负责人id
    */
    @ApiModelProperty("部门负责人id")
    private Long  deptUserId;

    /**
    * reservationSchoolPeople
    */
    @ApiModelProperty("reservationSchoolPeople子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "reservationSchooId")
    private List<ReservationSchoolPeople> reservationSchoolPeopleList;

    @ApiModelProperty("审批状态(0:未通过 1:通过)")
    private Integer examStatus;
}