package com.xjrsoft.module.personnel.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 预约进校-进校人员
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
@TableName("reservation_school_people")
@ApiModel(value = "reservation_school_people", description = "预约进校-进校人员")
public class ReservationSchoolPeople implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 预约进校编号
    */
    @ApiModelProperty("预约进校编号")
    private Long reservationSchooId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 手机号码
    */
    @ApiModelProperty("手机号码")
    private Long phone;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 是否开车
    */
    @ApiModelProperty("是否开车")
    private String isCar;
    /**
    * 车牌号
    */
    @ApiModelProperty("车牌号")
    private String plateNumber;

    @ApiModelProperty("记录海康登记结果")
    private String registrationResult;
}