package com.xjrsoft.module.personnel.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 工资发放分页列表出参
* @Author dzx
* @Date: 2023-11-08
* @Version 1.0
*/
@Data
public class BasePersonnelLabourCapitalPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建人")
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改人")
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("修改时间")
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("删除标记")
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("有效标志")
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 工资发放名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("工资发放名称")
    @ApiModelProperty("工资发放名称")
    private String name;
    /**
    * 发放年月
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("发放年月")
    @ApiModelProperty("发放年月")
    private Date dateOfIssue;
    /**
    * 数据开始行
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("数据开始行")
    @ApiModelProperty("数据开始行")
    private Integer dataRow;
    /**
    * 证件类型所属列
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("证件类型所属列")
    @ApiModelProperty("证件类型所属列")
    private Integer idTypeColumn;
    /**
    * 证件号码所属列
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("证件号码所属列")
    @ApiModelProperty("证件号码所属列")
    private Integer idNumberColumn;
    /**
    * 工号所属列
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("工号所属列")
    @ApiModelProperty("工号所属列")
    private Integer jobNumberColumn;
    /**
    * 名称所属列
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("名称所属列")
    @ApiModelProperty("名称所属列")
    private Integer personnelNameColumn;
    /**
    * 合计所属列
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("合计所属列")
    @ApiModelProperty("合计所属列")
    private Integer amountToColumn;
    /**
    * 数据文件
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("数据文件")
    @ApiModelProperty("数据文件")
    private String dataFile;

}
