package com.xjrsoft.module.personnel.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 车辆信息审核分页列表出参
* @Author dzx
* @Date: 2024-05-12
* @Version 1.0
*/
@Data
public class CarMessageApplyPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 部门id
    */
    @ApiModelProperty("部门id")
    private Long deptId;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String gender;
    /**
    * 身份证号
    */
    @ApiModelProperty("身份证号")
    private String identityCard;
    /**
    * 有效期开始日期
    */
    @ApiModelProperty("有效期开始日期")
    private Date startTime;
    /**
    * 有效期结束日期
    */
    @ApiModelProperty("有效期结束日期")
    private Date endTime;
    /**
    * 车辆类型
    */
    @ApiModelProperty("车辆类型")
    private String vehicleType;
    /**
    * 车牌号
    */
    @ApiModelProperty("车牌号")
    private String carNumber;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 部门审核人用户id
    */
    @ApiModelProperty("部门审核人用户id")
    private Long deptLederUserId;

    /**
     * 续期 (0:未续期 1:已续期)
     */
    @ApiModelProperty("续期 (0:未续期 1:已续期)")
    private Integer isContinue;
    /**
     * 账户
     */
    @ApiModelProperty("账户")
    private String userName;
    /**
     * 手机
     */
    @ApiModelProperty("手机")
    private  String mobile;
    /**
     * 用户ID
     */
    @ApiModelProperty("用户ID")
    private  Long userId;
}
