package com.xjrsoft.module.personnel.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 预约进校分页列表出参
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
public class ReservationSchoolPageVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人id
    */
    @ApiModelProperty("修改人id")
    private Long modifyUserId;
    /**
    * 修改日期
    */
    @ApiModelProperty("修改日期")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标记
    */
    @ApiModelProperty("有效标记")
    private Integer enabledMark;
    /**
    * 进校事由
    */
    @ApiModelProperty("进校事由")
    private String reason;
    /**
    * 到访部门id
    */
    @ApiModelProperty("到访部门id")
    private Long deptId;
    /**
    * 被访人用户id
    */
    @ApiModelProperty("被访人用户id")
    private Long respondentUserId;
    /**
    * 进校时间
    */
    @ApiModelProperty("进校时间")
    private Date startTime;
    /**
    * 离校时间
    */
    @ApiModelProperty("离校时间")
    private Date endTime;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 拜访时间
    */
    @ApiModelProperty("拜访时间")
    private Integer time;
    /**
    * 部门负责人id
    */
    @ApiModelProperty("部门负责人id")
    private Long  deptUserId;


    @ApiModelProperty("驳回理由")
    private String message;

}
