package com.xjrsoft.module.personnel.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.personnel.entity.ReservationSchoolPeople;

/**
* @title: 预约进校表单出参
* @Author dzx
* @Date: 2024-05-11
* @Version 1.0
*/
@Data
public class ReservationSchoolVo {

    /**
    * 主键
    */
    @ApiModelProperty("主键")
    private Long id;
    /**
    * 进校事由
    */
    @ApiModelProperty("进校事由")
    private String reason;
    /**
    * 到访部门id
    */
    @ApiModelProperty("到访部门id")
    private Long deptId;
    /**
    * 被访人用户id
    */
    @ApiModelProperty("被访人用户id")
    private Long respondentUserId;
    /**
    * 进校时间
    */
    @ApiModelProperty("进校时间")
    private Date startTime;
    /**
    * 离校时间
    */
    @ApiModelProperty("离校时间")
    private Date endTime;
    /**
    * 状态(0:未结束 1:结束)
    */
    @ApiModelProperty("状态(0:未结束 1:结束)")
    private Integer status;
    /**
    * 拜访时间
    */
    @ApiModelProperty("拜访时间")
    private Integer time;
    /**
    * 部门负责人id
    */
    @ApiModelProperty("部门负责人id")
    private Long  deptUserId;


    /**
    * reservationSchoolPeople
    */
    @ApiModelProperty("reservationSchoolPeople子表")
    private List<ReservationSchoolPeopleVo> reservationSchoolPeopleList;

}
