package com.xjrsoft.module.print.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.xjrsoft.common.model.base.AuditEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 打印模板
 * </p>
 *
 * @author tzx
 * @since 2023-05-19
 */

@Data
@EqualsAndHashCode(callSuper = true)
@TableName("xjr_print_schema")
@ApiModel(value = "PrintSchema对象", description = "打印模板")
public class PrintSchema extends AuditEntity implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("主键")
    private Long id;

    @ApiModelProperty("名称")
    private String name;

    @ApiModelProperty("编码")
    private String code;

    @ApiModelProperty("分类id")
    private Long category;

    @ApiModelProperty("api配置")
    private String apiConfig;

    @ApiModelProperty("是否生成菜单")
    private Integer isMenu;

    @ApiModelProperty("菜单id")
    private Long menuId;

    @ApiModelProperty("打印配置")
    private String content;

    @ApiModelProperty("排序")
    private Integer sortCode;

    @ApiModelProperty("备注")
    private String remark;

}
