package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 寝室申请
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddWfRoomApplicantDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 班主任用户编号
    */
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
    * 寝室申请类型(xjr_dictionary_item[room_applicant_type])
    */
    @ApiModelProperty("寝室申请类型(xjr_dictionary_item[room_applicant_type])")
    private String recedeType;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 寝室+床位名称
    */
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 离宿事由(xjr_dictionary_item[nos_reason])
    */
    @ApiModelProperty("离宿事由(xjr_dictionary_item[nos_reason])")
    private String nosReason;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
