package com.xjrsoft.module.room.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;



/**
* @title: 留校住宿申请
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
public class AddWfRoomStayOvernightDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 班主任用户编号
    */
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 寝室+床位名称
    */
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String genderName;
    /**
    * 班级
    */
    @ApiModelProperty("班级")
    private String className;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 时长（天）
    */
    @ApiModelProperty("时长（天）")
    private Integer duration;
    /**
    * 联系电话
    */
    @ApiModelProperty("联系电话")
    private String mobile;
    /**
    * 监护人电话
    */
    @ApiModelProperty("监护人电话")
    private String guardianMobile;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

}
