package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.*;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 查寝记录
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
@TableName("room_bed_check_record")
@ApiModel(value = "room_bed_check_record", description = "查寝记录")
public class RoomBedCheckRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 填写人
    */
    @ApiModelProperty("填写人")
    private Long userId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 查寝时间
    */
    @ApiModelProperty("查寝时间")
    private Date checkRecordTime;
    /**
    * 情况
    */
    @ApiModelProperty("情况")
    private String record;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    /**
    * roomBedCheckRecordRelation
    */
    @ApiModelProperty("roomBedCheckRecordRelation子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "roomBedCheckRecordId")
    private List<RoomBedCheckRecordRelation> roomBedCheckRecordRelationList;

}