package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 查寝记录(关联寝室)
* @Author szs
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
@TableName("room_bed_check_record_relation")
@ApiModel(value = "room_bed_check_record_relation", description = "查寝记录(关联寝室)")
public class RoomBedCheckRecordRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 查寝记录编号（room_bed_check_record）
    */
    @ApiModelProperty("查寝记录编号（room_bed_check_record）")
    private Long roomBedCheckRecordId;
    /**
    * 寝室编号(room)
    */
    @ApiModelProperty("寝室编号(room)")
    private Long roomId;
    /**
    * 楼栋(base_office_build)
    */
    @ApiModelProperty("楼栋(base_office_build)")
    private Long officeBuildId;
    /**
    * 楼层
    */
    @ApiModelProperty("楼层")
    private Integer floorNumber;
    /**
    * 寝室名称
    */
    @ApiModelProperty("寝室名称")
    private String roomName;


}