package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;


/**
* @title: 寝室生成规则
* @Author dzx
* @Date: 2024-01-02
* @Version 1.0
*/
@Data
@TableName("room_rule")
@ApiModel(value = "room_rule", description = "寝室生成规则")
public class RoomRule implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 规则名称
    */
    @ApiModelProperty("规则名称")
    private String name;
    /**
    * 规则配置（多个规则用逗号隔开）
    */
    @ApiModelProperty("规则配置（多个规则用逗号隔开）")
    private String rule;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

    /**
    * roomRuleItem
    */
    @ApiModelProperty("roomRuleItem子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "roomRuleId")
    private List<RoomRuleItem> roomRuleItemList;

}