package com.xjrsoft.module.room.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 宿管值班管理(人员)
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
@TableName("room_value_week_item")
@ApiModel(value = "room_value_week_item", description = "宿管值班管理(人员)")
public class RoomValueWeekItem implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 宿管值班管理编号（room_value_week）
    */
    @ApiModelProperty("宿管值班管理编号（room_value_week）")
    private Long roomValueWeekId;
    /**
    * 值班人员用户编号
    */
    @ApiModelProperty("值班人员用户编号")
    private Long userId;
    /**
    * 职务（宿管、教官）
    */
    @ApiModelProperty("职务（宿管、教官）")
    private String postName;
    /**
    * 负责寝室（男寝、女寝固定）
    */
    @ApiModelProperty("负责寝室（男寝、女寝固定）")
    private String roomType;
    /**
    * 人数(添加时先默认统计一个进去)
    */
    @ApiModelProperty("人数(添加时先默认统计一个进去)")
    private Integer numberPeople;


}