package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @title: 寝室长任命分页列表出参
 * @Author dzx
 * @Date: 2023-12-30
 * @Version 1.0
 */
@Data
public class HeadTeaRoomCadreAppointPageVo {

    /**
     * 寝室编号(room)
     */
    @ApiModelProperty("寝室编号(room)")
    private String roomId;
    /**
     * 入住性别(xjr_dictionary_item[gender])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("入住性别")
    @ApiModelProperty("入住性别")
    private String genderCn;
    /**
     * 寝室名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("寝室名称")
    @ApiModelProperty("寝室名称")
    private String roomName;
    /**
     * 是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）")
    @ApiModelProperty("是否是混合寝室【一个寝室有多个班级的学生】（1:是 0:否）")
    private Integer isMax;
    /**
     * 寝室床位信息
     */
    @ApiModelProperty("寝室床位信息")
    private List<AppointPageRoomBedVo> roomBedList;

}
