package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;

import java.time.LocalDate;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

/**
* @title: 宿管值班管理分页列表出参
* @Author dzx
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class RoomValueWeekPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 开始时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("开始时间")
    @ApiModelProperty("开始时间")
    private LocalDate startTime;
    /**
    * 结束时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("结束时间")
    @ApiModelProperty("结束时间")
    private LocalDate endTime;

    /**
     * 值班人员用户编号
     */
    @ApiModelProperty("值班人员用户编号")
    private Long userId;

    /**
     * 值班人员用户编号
     */
    @ApiModelProperty("值班人员用户编号")
    private String userName;
    /**
     * 职务（宿管、教官）
     */
    @ApiModelProperty("职务（宿管、教官）")
    private String postName;
    /**
     * 负责寝室（男寝、女寝固定）
     */
    @ApiModelProperty("负责寝室（男寝、女寝固定）")
    private String roomType;
    /**
     * 人数(添加时先默认统计一个进去)
     */
    @ApiModelProperty("人数(添加时先默认统计一个进去)")
    private Integer numberPeople;

    @ApiModelProperty("宿管值班管理编号（room_value_week）")
    private Long roomValueWeekId;

}
