package com.xjrsoft.module.room.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.module.system.entity.File;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


/**
* @title: 寝室情况汇报表单出参
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class WfRoomReportVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 申请人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
     * 申请人
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private String applicantUserIdCN;
    /**
     * 班主任用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private Long headTeacherId;
    /**
     * 班主任用户编号
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("班主任用户编号")
    @ApiModelProperty("班主任用户编号")
    private String headTeacherIdCN;
    /**
    * 寝室+床位名称
    */
    @ApiModelProperty("寝室+床位名称")
    private String roomBedNumber;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    /**
     * 附件文件
     */
    @ApiModelProperty("附件文件")
    private List<File> fileList;

    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;



}
