package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;



/**
* @title: 学生考核项目
* @Author fanxp
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
public class AddBaseStudentAssessmentProjectDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生考核类别(base_student_assessment_category)
    */
    @ApiModelProperty("学生考核类别(base_student_assessment_category)")
    private Long baseStudentAssessmentCategoryId;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 基础分
    */
    @ApiModelProperty("基础分")
    private Double basicPoints;
    /**
    * 扣分范围（最小）
    */
    @ApiModelProperty("扣分范围（最小）")
    private Double pointsDeductedMin;
    /**
    * 扣分范围（最大）
    */
    @ApiModelProperty("扣分范围（最大）")
    private Double pointsDeductedMax;
    /**
    * 加分范围（最小）
    */
    @ApiModelProperty("加分范围（最小）")
    private Double addPointsMin;
    /**
    * 加分范围（最大）
    */
    @ApiModelProperty("加分范围（最大）")
    private Double addPointsMax;
    /**
    * 所属机构(xjr_department)
    */
    @ApiModelProperty("所属机构(xjr_department)")
    private Long departmentId;
    /**
    * 是否启用(1:是 0:否)
    */
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;
    /**
    * 是否影响(1:是 0:否)
    */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;
    /**
    * 学生操行分处理方式(xjr_dictionary_item[ap_method])
    */
    @ApiModelProperty("学生操行分处理方式(xjr_dictionary_item[ap_method])")
    private String processingMethod;
    /**
    * 折算操行分要求
    */
    @ApiModelProperty("折算操行分要求")
    private Double behaviorScore;
    /**
    * 操行项目编号
    */
    @ApiModelProperty("操行项目编号")
    private Long baseStudentBehaviorProjectId;
    /**
    * 是否允许班主任修改项目(1:是 0:否)
    */
    @ApiModelProperty("是否允许班主任修改项目(1:是 0:否)")
    private Integer isTeacherEdit;
    /**
    * 手动处理学生操行分说明
    */
    @ApiModelProperty("手动处理学生操行分说明")
    private String behaviorScoreRemark;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("考核对象（class:班级 personal:个人）")
    private String assessmentType;

}
