package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;



/**
* @title: 学生处分信息管理
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
public class AddBaseStudentPunishmentInfoDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 处分类型id
    */
    @ApiModelProperty("处分类型id")
    private Long punishmentTypeId;
    /**
    * 是否公示(1:是 0:否)
    */
    @ApiModelProperty("是否公示(1:是 0:否)")
    private Integer isPublicity;
    /**
    * 发送处分(1:班主任 2:学生 3:家长)
    */
    @ApiModelProperty("发送处分(1:班主任 2:学生 3:家长)")
    private Integer pushMessageObject;
    /**
    * 处分原因
    */
    @ApiModelProperty("处分原因")
    private String reason;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private String classId;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;

    /**
    * basePunishmentStudentRelation
    */
    @ApiModelProperty("basePunishmentStudentRelation子表")
    private List<AddBasePunishmentStudentRelationDto> basePunishmentStudentRelationList;

}
