package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 学生操行分记录管理分页查询入参
* @Author dzx
* @Date: 2023-11-17
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentBehaviorManagePageDto extends PageInput {

    /**
     * 是否影响
     */
    @ApiModelProperty("是否影响(1:是 0:否)")
    private Integer isAffect;

    /**
     * 学期id
     */
    @ApiModelProperty("学期id")
    private Long semesterId;

    /**
     * 考核类别ids
     */
    @ApiModelProperty("考核类别id")
    private String behaviorCategoryId;

    /**
     * 考核项目ids
     */
    @ApiModelProperty("考核项目id")
    private String behaviorProjectId;

    /**
     * 组织结构ids
     */
    @ApiModelProperty("组织结构id")
    private String orgId;

    /**
     * 年级ids
     */
    @ApiModelProperty("年级id")
    private Long gradeId;


    /**
     * 考核人
     */
    @ApiModelProperty("考核人ids")
    private String assessmentUserIds;

    /**
     * 考核地址
     */
    @ApiModelProperty("考核地址")
    private String assessmentAddress;

    /**
     * 考核时间-开始
     */
    @ApiModelProperty("考核时间-开始")
    private String startDate;

    /**
     * 考核时间-开始
     */
    @ApiModelProperty("考核时间-结束")
    private String endDate;
}
