package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;


/**
* @title: 学生处分信息管理移动端列表查询入参
* @Author dzx
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class BaseStudentPunishmentInfoMobilePageDto extends PageInput {
    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("处分开始日期")
    private String startDate;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @ApiModelProperty("处分结束日期")
    private String endDate;

    @ApiModelProperty("班级id")
    private List<Long> punishmentTypeIds;

    @ApiModelProperty("是否处理（1:是 0:否）")
    private Integer isHandle;

    @ApiModelProperty("学生姓名")
    private String studentName;

    @ApiModelProperty("教师id")
    private Long teacherId;
}
