package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;


/**
* @title: 班级荣誉分页查询入参
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class ClassHonorsPageDto extends PageInput {

    /**
     * 荣誉级别(xjr_dictionary_item[honors_level])
     */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
     * 荣誉等级(xjr_dictionary_item[honors_grade])
     */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
     * 获奖日期
     */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
     * 荣誉名称
     */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
     * 学期ID(base_semester)
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 班级id
     */
    @ApiModelProperty("班级id")
    private Long classId;
}
