package com.xjrsoft.module.student.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;


/**
* @title: 导出班级量化考核入参
* @Author szs
* @Date: 2023-12-28
* @Version 1.0
*/
@Data
public class QuantitativeAssessmentExcelDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 入学年级(base_grade)
     */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;
    /**
     * 学期ID(base_semester)每一种统计数据需要关联学期
     */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 班级Id
     */
    @ApiModelProperty("班级Id")
    private Long classId;
    /**
     * 班级状态
     */
    @ApiModelProperty("班级状态")
    private Integer classStatus;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 考核开始时间
     */
    @ApiModelProperty(value = "开始时间")
    private LocalDateTime startTime;
    /**
     * 考核结束时间
     */
    @ApiModelProperty(value = "结束时间", hidden = true)
    private LocalDateTime endTime;
    /**
     * 班级Id集合
     */
    @ApiModelProperty(value = "班级Id集合", hidden = true)
    private List<Long> classIdList;
    /**
     * 子表的类型
     */
    @ApiModelProperty(value = "子表的类型", hidden = true)
    private Long baseStudentAssessmentCategoryId;
}
