package com.xjrsoft.module.student.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.Date;
import java.util.List;


/**
* @title: 学生荣誉分页查询入参
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class StudentHonorsPageDto extends PageInput {

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty(value = "当前用户所管理的班级", hidden = true)
    public List<Long> classIdList;

    @ApiModelProperty("学期Id")
    private Long baseSemesterId;
    /**
     * 学生用户编号
     */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
     * 荣誉级别(xjr_dictionary_item[honors_level])
     */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
     * 荣誉等级(xjr_dictionary_item[honors_grade])
     */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
     * 荣誉类型(xjr_dictionary_item[honors_type])
     */
    @ApiModelProperty("荣誉类型(xjr_dictionary_item[honors_type])")
    private String honorsType;
    /**
     * 获奖日期
     */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
     * 学生姓名
     */
    @ApiModelProperty("学生姓名")
    private String userName;
}
