package com.xjrsoft.module.student.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class UpdateBaseStudentFamilyMemberDto {
    /**
     * 主键
     */
    @ApiModelProperty("主键")
    private Long id;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 与本人关系(xjr_dictionary_item[relationship])
     */
    @ApiModelProperty("与本人关系(xjr_dictionary_item[relationship])")
    private String relationship;
    /**
     * 姓名
     */
    @ApiModelProperty("姓名")
    private String name;
    /**
     * 性别(xjr_dictionary_item[gender])
     */
    @ApiModelProperty("性别(xjr_dictionary_item[gender])")
    private String gender;
    /**
     * 出生日期
     */
    @ApiModelProperty("出生日期")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date dayOfBirth;
    /**
     * 生日类型(xjr_dictionary_item[date_type])
     */
    @ApiModelProperty("生日类型(xjr_dictionary_item[date_type])")
    private String birthType;
    /**
     * 民族(xjr_dictionary_item[nation])
     */
    @ApiModelProperty("民族(xjr_dictionary_item[nation])")
    private String nation;
    /**
     * 工作单位
     */
    @ApiModelProperty("工作单位")
    private String workUnit;
    /**
     * 从事的工作(职业)
     */
    @ApiModelProperty("从事的工作(职业)")
    private String occupation;
    /**
     * 职务
     */
    @ApiModelProperty("职务")
    private String position;
    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    private String mobile;
    /**
     * 是否为监护人
     */
    @ApiModelProperty("是否为监护人")
    private Integer isGuardian;
    /**
     * 证件类型(xjr_dictionary_item[credential_type])
     */
    @ApiModelProperty("证件类型(xjr_dictionary_item[credential_type])")
    private String credentialType;
    /**
     * 证件号码
     */
    @ApiModelProperty("证件号码")
    private String credentialNumber;
    /**
     * 政治面貌(xjr_dictionary_item[political_state])
     */
    @ApiModelProperty("政治面貌(xjr_dictionary_item[political_state])")
    private String politicalState;
    /**
     * 健康状况(xjr_dictionary_item[health])
     */
    @ApiModelProperty("健康状况(xjr_dictionary_item[health])")
    private String health;
    /**
     * 户口所在地 省(xjr_area)
     */
    @ApiModelProperty("户口所在地 省(xjr_area)")
    private Long houseProvinces;
    /**
     * 户口所在地 市(xjr_area)
     */
    @ApiModelProperty("户口所在地 市(xjr_area)")
    private Long houseCity;
    /**
     * 户口所在地 区/县(xjr_area)
     */
    @ApiModelProperty("户口所在地 区/县(xjr_area)")
    private Long houseDistrict;
    /**
     * 邮箱
     */
    @ApiModelProperty("邮箱")
    private String email;
    /**
     * 微信号
     */
    @ApiModelProperty("微信号")
    private String wechat;
}
