package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学生操行分考核项目
* @Author fanxp
* @Date: 2023-11-15
* @Version 1.0
*/
@Data
@TableName("base_student_behavior_project")
@ApiModel(value = "学生操行分考核项目对象", description = "学生操行分考核项目")
public class BaseStudentBehaviorProject implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生考核类别编号(base_student_behavior_category)
    */
    @ApiModelProperty("学生考核类别编号(base_student_behavior_category)")
    private Long baseStudentBehaviorCategoryId;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 编码
    */
    @ApiModelProperty("编码")
    private String code;
    /**
    * 考核类型(xjr_dictionary_item[score_type])
    */
    @ApiModelProperty("考核类型(xjr_dictionary_item[score_type])")
    private String scoreType;
    /**
    * 分值
    */
    @ApiModelProperty("分值")
    private Double score;
    /**
    * 是否允许调整(1:是 0:否)
    */
    @ApiModelProperty("是否允许调整(1:是 0:否)")
    private Integer isAdjustment;
    /**
    * 扣分范围（最小）
    */
    @ApiModelProperty("扣分范围（最小）")
    private Double pointsDeductedMin;
    /**
    * 扣分范围（最大）
    */
    @ApiModelProperty("扣分范围（最大）")
    private Double pointsDeductedMax;
    /**
    * 是否影响班级考核(1:是 0:否)
    */
    @ApiModelProperty("是否影响班级考核(1:是 0:否)")
    private Integer isImpactAssessment;
    /**
    * 换算方式(1:手动换算 2:自动换算)
    */
    @ApiModelProperty("换算方式(1:手动换算 2:自动换算)")
    private Integer conversionMethod;
    /**
    * 是否启用(1:是 0:否)
    */
    @ApiModelProperty("是否启用(1:是 0:否)")
    private Integer status;
    /**
    * 班级考核项目编号（base_student_assessment_project）
    */
    @ApiModelProperty("班级考核项目编号（base_student_assessment_project）")
    private Long baseStudentAssessmentProjectId;
    /**
    * 自动换算考核类型(xjr_dictionary_item[score_type])
    */
    @ApiModelProperty("自动换算考核类型(xjr_dictionary_item[score_type])")
    private String automaticScoreType;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;


}