package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学生干部管理
* @Author dzx
* @Date: 2023-11-14
* @Version 1.0
*/
@Data
@TableName("base_student_cadre")
@ApiModel(value = "学生干部管理对象", description = "学生干部管理")
public class BaseStudentCadre implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学生id
    */
    @ApiModelProperty("学生id")
    private Long userId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 职务id
    */
    @ApiModelProperty("职务id")
    private Long postId;
    /**
    * 干部部门编号
    */
    @ApiModelProperty("干部部门编号")
    private Long cadreDeptId;
    /**
    * 任职开始时间
    */
    @ApiModelProperty("任职开始时间")
    private Date startTime;
    /**
    * 任职结束时间
    */
    @ApiModelProperty("任职结束时间")
    private Date endTime;
    /**
    * 状态（1:在职 0:离职）
    */
    @ApiModelProperty("状态（1:在职 0:离职）")
    private Integer status;
    /**
    * 离职生效日期
    */
    @ApiModelProperty("离职生效日期")
    private Date leaveTime;
    /**
    * 离职原因
    */
    @ApiModelProperty("离职原因")
    private String leaveReason;
}