package com.xjrsoft.module.student.entity;


import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * @title: 学生基本信息管理
 * @Author 管理员
 * @Date: 2023-08-08
 * @Version 1.0
 */
@Data
@TableName("base_student_subsidize")
@ApiModel(value = "学生基本信息管理对象", description = "学生基本信息管理")
public class BaseStudentSubsidize  implements Serializable {


    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @ApiModelProperty("主键")
    @TableId
    private Long id;
    /**
     * 创建人
     */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
     * 创建时间
     */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private LocalDateTime createDate;
    /**
     * 修改人
     */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
     * 修改时间
     */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private LocalDateTime modifyDate;
    /**
     * 删除标记
     */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
     * 有效标志
     */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
     * 用户ID(xjr_user)
     */
    @ApiModelProperty("用户ID(xjr_user)")
    private Long userId;
    /**
     * 是否低保
     */
    @ApiModelProperty("是否低保")
    private Integer isIndemnify;
    /**
     * 是否享受国家助学金
     */
    @ApiModelProperty("是否享受国家助学金")
    private Integer isStipend;
    /**
     * 助学金发放标准（元）
     */
    @ApiModelProperty("助学金发放标准（元）")
    private Double stipendStand;
    /**
     * 学生资助卡号
     */
    @ApiModelProperty("学生资助卡号")
    private String stipendNumber;
    /**
     * 是否免学费
     */
    @ApiModelProperty("是否免学费")
    private Integer isFree;
    /**
     * 是否建档立卡
     */
    @ApiModelProperty("是否建档立卡")
    private Integer isFilingCard;

}
