package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 班级荣誉
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Data
@TableName("class_honors")
@ApiModel(value = "class_honors", description = "班级荣誉")
public class ClassHonors implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 荣誉级别(xjr_dictionary_item[honors_level])
    */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
    * 荣誉等级(xjr_dictionary_item[honors_grade])
    */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
    * 荣誉名称
    */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;


}