package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 升学管理
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Data
@TableName("school_roll_further_education")
@ApiModel(value = "school_roll_further_education", description = "升学管理")
public class SchoolRollFurtherEducation implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 异动前所属机构(xjr_department)
    */
    @ApiModelProperty("异动前所属机构(xjr_department)")
    private Long beforeDepartmentId;
    /**
    * 异动前入学年级(base_grade)
    */
    @ApiModelProperty("异动前入学年级(base_grade)")
    private Long beforeGradeId;
    /**
    * 异动前班级(base_class)
    */
    @ApiModelProperty("异动前班级(base_class)")
    private Long beforeClassId;
    /**
    * 异动前专业方向(base_major_set)
    */
    @ApiModelProperty("异动前专业方向(base_major_set)")
    private Long beforeMajorSetId;
    /**
    * 异动后所属机构(xjr_department)
    */
    @ApiModelProperty("异动后所属机构(xjr_department)")
    private Long backDepartmentId;
    /**
    * 异动后入学年级(base_grade)
    */
    @ApiModelProperty("异动后入学年级(base_grade)")
    private Long backGradeId;
    /**
    * 异动后班级(base_class)
    */
    @ApiModelProperty("异动后班级(base_class)")
    private Long backClassId;
    /**
    * 异动后专业方向(base_major_set)
    */
    @ApiModelProperty("异动后专业方向(base_major_set)")
    private Long backMajorSetId;
    /**
    * 学生编号(学生user_id)
    */
    @ApiModelProperty("学生编号(学生user_id)")
    private Long studentId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}