package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学籍异动学生
* @Author dzx
* @Date: 2023-11-30
* @Version 1.0
*/
@Data
@TableName("school_roll_student")
@ApiModel(value = "school_roll_student", description = "学籍异动学生")
public class SchoolRollStudent implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学籍异动类型(xjr_dictionary_item[school_change_type])
    */
    @ApiModelProperty("学籍异动类型(xjr_dictionary_item[school_change_type])")
    private String scholarshipSource;
    /**
    * 学籍异动类别ID(school_roll_category)
    */
    @ApiModelProperty("学籍异动类别ID(school_roll_category)")
    private Long schoolRollCategoryId;
    /**
    * 学籍异动原因ID(school_roll_reason)
    */
    @ApiModelProperty("学籍异动原因ID(school_roll_reason)")
    private Long schoolRollReasonId;
    /**
    * 原因
    */
    @ApiModelProperty("原因")
    private String reason;
    /**
    * 异动前所属机构(xjr_department)
    */
    @ApiModelProperty("异动前所属机构(xjr_department)")
    private Long beforeDepartmentId;
    /**
    * 异动前入学年级(base_grade)
    */
    @ApiModelProperty("异动前入学年级(base_grade)")
    private Long beforeGradeId;
    /**
    * 异动前班级(base_class)
    */
    @ApiModelProperty("异动前班级(base_class)")
    private Long beforeClassId;
    /**
    * 异动前专业方向(base_major_set)
    */
    @ApiModelProperty("异动前专业方向(base_major_set)")
    private Long beforeMajorSetId;
    /**
    * 异动后所属机构(xjr_department)
    */
    @ApiModelProperty("异动后所属机构(xjr_department)")
    private Long backDepartmentId;
    /**
    * 异动后入学年级(base_grade)
    */
    @ApiModelProperty("异动后入学年级(base_grade)")
    private Long backGradeId;
    /**
    * 异动后班级(base_class)
    */
    @ApiModelProperty("异动后班级(base_class)")
    private Long backClassId;
    /**
    * 异动后专业方向(base_major_set)
    */
    @ApiModelProperty("异动后专业方向(base_major_set)")
    private Long backMajorSetId;
    /**
    * 学生编号(学生user_id)
    */
    @ApiModelProperty("学生编号(学生user_id)")
    private Long studentId;
    /**
    * 是否保留学籍(0:否 1:是)
    */
    @ApiModelProperty("是否保留学籍(0:否 1:是)")
    private Integer isRetain;
    /**
    * 是否记录到档案(0:否 1:是)
    */
    @ApiModelProperty("是否记录到档案(0:否 1:是)")
    private Integer isRecord;
    /**
    * 是否注销账号(0:否 1:是)
    */
    @ApiModelProperty("是否注销账号(0:否 1:是)")
    private Integer isCancelAccount;
    /**
    * 是否恢复账号(0:否 1:是)
    */
    @ApiModelProperty("是否恢复账号(0:否 1:是)")
    private Integer isRecover;
    /**
    * 是否给予肄业(0:否 1:是)
    */
    @ApiModelProperty("是否给予肄业(0:否 1:是)")
    private Integer isUnderGraduate;
    /**
    * 是否已经维护到国家/省学籍系统(0:未维护 1:已维护 2:无需维护)
    */
    @ApiModelProperty("是否已经维护到国家/省学籍系统(0:未维护 1:已维护 2:无需维护)")
    private Integer isMaintained;
    /**
    * 入班时间
    */
    @ApiModelProperty("入班时间")
    private Date inClassDate;
    /**
    * 离班时间
    */
    @ApiModelProperty("离班时间")
    private Date outClassDate;
    /**
    * 休学年限 
    */
    @ApiModelProperty("休学年限 ")
    private String leaveYear;
    /**
    * 休学时段(开始时间)
    */
    @ApiModelProperty("休学时段(开始时间)")
    private Date leaveStartYear;
    /**
    * 休学时段(结束时间)
    */
    @ApiModelProperty("休学时段(结束时间)")
    private Date leaveEndYear;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}