package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 学生荣誉
* @Author dzx
* @Date: 2023-12-05
* @Version 1.0
*/
@Data
@TableName("student_honors")
@ApiModel(value = "student_honors", description = "学生荣誉")
public class StudentHonors implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 数据录入方式 1=推荐 2=登记
    */
    @ApiModelProperty("数据录入方式 1=推荐 2=登记")
    private Integer dataEntryMethod;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级id
    */
    @ApiModelProperty("班级id")
    private Long classId;
    /**
    * 学生用户编号
    */
    @ApiModelProperty("学生用户编号")
    private Long studentUserId;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 所学专业
    */
    @ApiModelProperty("所学专业id")
    private String majorSetId;
    /**
    * 荣誉级别(xjr_dictionary_item[honors_level])
    */
    @ApiModelProperty("荣誉级别(xjr_dictionary_item[honors_level])")
    private String honorsLevel;
    /**
    * 荣誉等级(xjr_dictionary_item[honors_grade])
    */
    @ApiModelProperty("荣誉等级(xjr_dictionary_item[honors_grade])")
    private String honorsGrade;
    /**
    * 荣誉类型(xjr_dictionary_item[honors_type])
    */
    @ApiModelProperty("荣誉类型(xjr_dictionary_item[honors_type])")
    private String honorsType;
    /**
    * 荣誉名称
    */
    @ApiModelProperty("荣誉名称")
    private String name;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;


}