package com.xjrsoft.module.student.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDate;
import java.util.Date;


/**
* @title: 退学申请
* @Author dzx
* @Date: 2024年4月17日
* @Version 1.0
*/
@Data
@TableName("student_leave")
@ApiModel(value = "student_leave", description = "学生请假")
public class StudentLeave implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;

    @ApiModelProperty("学生id")
    private Long studentUserId;

    @ApiModelProperty("班级id")
    private Long classId;

    @ApiModelProperty("开始时间")
    private LocalDate startDate;

    @ApiModelProperty("开始时间")
    private LocalDate endDate;

    @ApiModelProperty("请假原因")
    private String reason;

    @ApiModelProperty("班主任")
    private Long teacherId;

    @ApiModelProperty("附件id")
    private Long folderId;

    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    @ApiModelProperty("时长（天）")
    private Double dayDuration;

    @ApiModelProperty("请假类型")
    private String leaveType;

    @ApiModelProperty("海康接口返回信息")
    private String hikvisionResult;
}