package com.xjrsoft.module.student.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseMapper;
import com.xjrsoft.module.student.dto.ClassHonorsPageDto;
import com.xjrsoft.module.student.entity.ClassHonors;
import com.xjrsoft.module.student.vo.ClassHonorsPageVo;
import com.xjrsoft.module.student.vo.ClassHonorsSemesterClassVo;
import com.xjrsoft.module.student.vo.ClassHonorsVo;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
* @title: 班级荣誉
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/
@Mapper
public interface ClassHonorsMapper extends MPJBaseMapper<ClassHonors> {

    /**
     * 班级荣誉列表(分页)PC端
     * @param dto
     * @return
     */
    IPage<ClassHonorsPageVo> getPagePC(IPage<ClassHonorsPageDto> page, ClassHonorsPageDto dto);

    /**
     * 根据id查询班级荣誉信息
     * @param id
     * @return
     */
    ClassHonorsVo getInfoById(Long id);

    /**
     * 获取整个班级荣誉表出现的所有学期
     * @return
     */
    List<ClassHonorsSemesterClassVo> getSemester();

    /**
     * 获取整个班级荣誉表出现的所有学期和其下的所有班级
     * @return
     */
    List<ClassHonorsSemesterClassVo> getSemesterClass();

}
