package com.xjrsoft.module.student.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseService;
import com.xjrsoft.module.student.dto.ClassHonorsPageDto;
import com.xjrsoft.module.student.entity.ClassHonors;
import com.xjrsoft.module.student.vo.ClassHonorsPageVo;
import com.xjrsoft.module.student.vo.ClassHonorsSemesterClassTreeVo;
import com.xjrsoft.module.student.vo.ClassHonorsVo;

import java.util.List;

/**
* @title: 班级荣誉
* @Author szs
* @Date: 2023-12-06
* @Version 1.0
*/

public interface IClassHonorsService extends MPJBaseService<ClassHonors> {

    /**
     * 班级荣誉列表(分页)PC端
     * @param dto
     * @return
     */
    IPage<ClassHonorsPageVo> getPagePC(ClassHonorsPageDto dto);

    /**
     * 根据id查询班级荣誉信息
     * @param id
     * @return
     */
    ClassHonorsVo getInfoById(Long id);

    /**
     * 将所有班级荣誉的学期和班级构成树
     * @return
     */
    List<ClassHonorsSemesterClassTreeVo> getSemesterClassTree();


}
