package com.xjrsoft.module.student.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.common.page.ConventPage;
import com.xjrsoft.module.student.dto.SchoolRollFurtherEducationPageDto;
import com.xjrsoft.module.student.entity.SchoolRollFurtherEducation;
import com.xjrsoft.module.student.mapper.SchoolRollFurtherEducationMapper;
import com.xjrsoft.module.student.service.ISchoolRollFurtherEducationService;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationPageVo;
import com.xjrsoft.module.student.vo.SchoolRollFurtherEducationVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
* @title: 升学管理
* @Author szs
* @Date: 2023-12-01
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class SchoolRollFurtherEducationServiceImpl extends MPJBaseServiceImpl<SchoolRollFurtherEducationMapper, SchoolRollFurtherEducation> implements ISchoolRollFurtherEducationService {

    private final SchoolRollFurtherEducationMapper schoolRollFurtherEducationMapper;

    /**
     * 升学管理列表(分页)PC端
     * @return
     */
    @Override
    public IPage<SchoolRollFurtherEducationPageVo> getPageListPc(SchoolRollFurtherEducationPageDto dto) {
        IPage<SchoolRollFurtherEducationPageVo> pageList = schoolRollFurtherEducationMapper.getPageListPc(ConventPage.getPage(dto),dto);
        return pageList;
    }

    /**
     * 根据id查询升学管理信息
     * @param id
     * @return
     */
    @Override
    public SchoolRollFurtherEducationVo getDetailById(Long id) {
        SchoolRollFurtherEducationVo schoolRollFurtherEducationVo = schoolRollFurtherEducationMapper.getDetailById(id);
        return schoolRollFurtherEducationVo;
    }
}
