package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 助学金项目分页列表出参
* @Author devil
* @Date: 2023-11-28
* @Version 1.0
*/
@Data
public class BaseStudentBursariesProjectPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 名称
    */
    @ApiModelProperty("名称")
    private String name;
    /**
    * 助学金类型(xjr_dictionary_item[bursaries_type])
    */
    @ApiModelProperty("助学金类型(xjr_dictionary_item[bursaries_type])")
    private String bursariesType;

    /**
     * 助学金类型-中文
     */
    @ApiModelProperty("助学金类型 - 中文")
    private String bursariesTypeCn;

    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 总金额
    */
    @ApiModelProperty("总金额")
    private Double totalAmount;
    /**
    * 开始时间
    */
    @ApiModelProperty("开始时间")
    private Date startTime;
    /**
    * 结束时间
    */
    @ApiModelProperty("结束时间")
    private Date endTime;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;

}
