package com.xjrsoft.module.student.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
* @title: 奖学金申请分页列表出参
* @Author dzx
* @Date: 2023-11-23
* @Version 1.0
*/
@Data
public class BaseStudentScholarshipApplicantPageVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 奖学金类别ID(base_student_scholarship_category)
    */
    @ApiModelProperty("奖学金类别ID(base_student_scholarship_category)")
    private Long baseStudentScholarshipCategoryId;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期名称
    */
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 入学名称
    */
    @ApiModelProperty("入学名称")
    private String gradeName;
    /**
    * 班级名称
    */
    @ApiModelProperty("班级名称")
    private String className;
    /**
    * 姓名
    */
    @ApiModelProperty("姓名")
    private String name;
    /**
    * 学号
    */
    @ApiModelProperty("学号")
    private String studentId;
    /**
    * 性别
    */
    @ApiModelProperty("性别")
    private String genderName;
    /**
    * 招生类型名称
    */
    @ApiModelProperty("招生类型名称")
    private String enrollTypeCn;
    /**
    * 在读专业
    */
    @ApiModelProperty("在读专业")
    private String majorName;
    /**
    * 获奖日期
    */
    @ApiModelProperty("获奖日期")
    private Date awardDate;
    /**
    * 收款银行(xjr_dictionary_item[bank_type])
    */
    @ApiModelProperty("收款银行(xjr_dictionary_item[bank_type])")
    private String bankType;

    @ApiModelProperty("收款银行-中文")
    private String bankTypeCn;

    /**
    * 银行卡号
    */
    @ApiModelProperty("银行卡号")
    private String bankNo;
    /**
    * 文件ID(xjr_file)
    */
    @ApiModelProperty("文件ID(xjr_file)")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
    * 发放状态（1:已发放 0:未发放）
    */
    @ApiModelProperty("发放状态（1:已发放 0:未发放）")
    private Integer releaseStatus;

}
