package com.xjrsoft.module.teacher.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 教师获奖登记
* @Author dzx
* @Date: 2024-06-06
* @Version 1.0
*/
@Data
@TableName("teacher_award")
@ApiModel(value = "teacher_award", description = "教师获奖登记")
public class TeacherAward implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 获奖类型
    */
    @ApiModelProperty("获奖类型")
    private String awardType;
    /**
    * 奖项级别
    */
    @ApiModelProperty("奖项级别")
    private String awardLevel;
    /**
    * 奖项名称
    */
    @ApiModelProperty("奖项名称")
    private String competitionName;
    /**
    * 获奖等级
    */
    @ApiModelProperty("获奖等级")
    private String awardGrade;
    /**
    * 奖项分数
    */
    @ApiModelProperty("奖项分数")
    private BigDecimal awardScore;
    /**
    * 作品名称
    */
    @ApiModelProperty("作品名称")
    private String paperName;
    /**
    * 国际标准刊号字
    */
    @ApiModelProperty("国际标准刊号字")
    private String issn;
    /**
    * 媒体类型（期刊、图书、报纸、音像、论文集）
    */
    @ApiModelProperty("媒体类型（期刊、图书、报纸、音像、论文集）")
    private String mediaType;
    /**
    * 媒体名称
    */
    @ApiModelProperty("媒体名称")
    private String journalName;
    /**
    * 国内统一刊号CN
    */
    @ApiModelProperty("国内统一刊号CN")
    private String journalNumber;
    /**
    * 期刊级别（核心期刊、一般期刊、(校级、内部论文)）
    */
    @ApiModelProperty("期刊级别（核心期刊、一般期刊、(校级、内部论文)）")
    private String journalLevel;
    /**
    * 发表时间
    */
    @ApiModelProperty("发表时间")
    private Date issueDate;
    /**
    * 审核人
    */
    @ApiModelProperty("审核人")
    private Long approvalUserId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
    * 附件文件id
    */
    @ApiModelProperty("附件文件id")
    private Long fileId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;
    /**
    * 奖项id(teacher_award_item)
    */
    @ApiModelProperty("奖项id(teacher_award_item)")
    private Long teacherAwardItemId;

    /**
     * 奖项名称
     */
    @ApiModelProperty("完整的奖项名称")
    private String wholeCompetitionName;
}