package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;

import java.util.List;


/**
* @title: 推书申请
* @Author szs
* @Date: 2024-01-03
* @Version 1.0
*/
@Data
public class AddWfTextbookRecedeDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 退书类型(xjr_dictionary_item[recede_type])
    */
    @ApiModelProperty("退书类型(xjr_dictionary_item[recede_type])")
    private String recedeType;
    /**
    * 退还地点
    */
    @ApiModelProperty("退还地点")
    private String recedeAddress;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * wfTextbookRecedeItem
    */
    @ApiModelProperty("wfTextbookRecedeItem子表")
    private List<AddWfTextbookRecedeItemDto> wfTextbookRecedeItemList;
}
