package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;
import com.xjrsoft.module.textbook.entity.WfTextbookSubscriptionItem;



/**
* @title: 教材教辅征订
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class AddWfTextbookSubscriptionDto implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 所在部门编号
    */
    @ApiModelProperty("所在部门编号")
    private Long deptId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 状态（1:结束 0:未结束）
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    @ApiModelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    private Integer status;
    /**
     * 征订方式（1:结束 2:未结束）
     */
    @ApiModelProperty("征订方式（1:按班级征订 2:按教材征订）")
    private Integer subscriptionMethod;
    /**
    * wfTextbookSubscriptionItem
    */
    @ApiModelProperty("wfTextbookSubscriptionItem子表")
    private List<AddWfTextbookSubscriptionItemDto> wfTextbookSubscriptionItemList;
}
