package com.xjrsoft.module.textbook.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;


/**
* @title: 教材发放之确认发放入参
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
public class ConfirmDistributeDto{

    private static final long serialVersionUID = 1L;

    /**
    * 教材申领主键编号
    */
    @ApiModelProperty("教材申领主键编号")
    private Long textbookClaimId;

    /**
     * 领取用户编号
     */
    @ApiModelProperty("领取用户编号")
    private Long receiveUserId;

    /**
     * 教材申领项
     */
    List<TextbookClaimItem> textbookClaimItemList;

    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    @Data
    public static class TextbookClaimItem implements Serializable {

        private static final long serialVersionUID = 1L;

        /**
         * 教材申领项主键编号
         */
        @ApiModelProperty("教材申领项主键编号")
        private Long textbookClaimItemId;

        /**
         * 发放数量
         */
        @ApiModelProperty("本次发放数量")
        private Integer confirmNumber;
    }
}
