package com.xjrsoft.module.textbook.dto;

import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;


/**
* @title: 教材出库记录分页查询入参
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TextbookIssueRecordPageDto extends PageInput {

    @ApiModelProperty("教材类型")
    public String textbookType;

    @ApiModelProperty("学期id")
    public Long baseSemesterId;

    @ApiModelProperty("学科组id")
    public Long subjectGroupId;

    @ApiModelProperty("课程id")
    public Long courseSubjectId;

    @ApiModelProperty("班级id")
    public Long classId;

    @ApiModelProperty("书名")
    public String bookName;

    @ApiModelProperty("书号")
    public String issn;

    @ApiModelProperty("规格型号")
    public String specificationsModels;

    @ApiModelProperty("规划教材")
    public String isTextbookPlan;

    /**
     * 出版社
     */
    @ApiModelProperty("出版社")
    private String publishingHouse;
}
