package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;
import java.util.List;


/**
* @title: 教材管理分页查询入参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class TextbookPageDto extends PageInput {

    @ApiModelProperty("教材类型")
    public String textbookType;

    @ApiModelProperty("学期id")
    public Long baseSemesterId;

    @ApiModelProperty("学科id")
    public Long subjectGroupId;

    @ApiModelProperty("课程id")
    public Long courseSubjectId;

    @ApiModelProperty("书名")
    public String bookName;

    @ApiModelProperty("规划教材")
    public String isTextbookPlan;

    @ApiModelProperty("书号")
    public String issn;

    @ApiModelProperty("主编")
    public String editorInChief;

    @ApiModelProperty("出版色")
    public String publishingHouse;

}
