package com.xjrsoft.module.textbook.dto;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.xjrsoft.common.page.PageInput;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;


/**
* @title: 教材教辅征订分页查询入参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@EqualsAndHashCode(callSuper = false)
public class WfTextbookSubscriptionPageDto extends PageInput {

    /**
     * 学期ID(base_semester)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期ID(base_semester)")
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 征订方式（1:结束 2:未结束）
     */
    @ApiModelProperty("征订方式（1:按班级征订 2:按教材征订）")
    private Integer subscriptionMethod;
}
