package com.xjrsoft.module.textbook.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 教材核心信息管理
* @Author szs
* @Date: 2024-04-08
* @Version 1.0
*/
@Data
@TableName("textbook_core_attribute")
@ApiModel(value = "textbook_core_attribute", description = "教材核心信息管理")
public class TextbookCoreAttribute implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 国际标准刊号
    */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 国际标准书号
    */
    @ApiModelProperty("国际标准书号")
    private String isbn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ApiModelProperty("主编")
    private String editorInChief;
}