package com.xjrsoft.module.textbook.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;


/**
* @title: 教材出库记录
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
@TableName("textbook_issue_record")
@ApiModel(value = "textbook_issue_record", description = "教材出库记录")
public class TextbookIssueRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
     * 教材管理编号
     */
    @ApiModelProperty("教材管理编号")
    private Long textbookId;
    /**
    * 数据编号（根据出库方式，编号来自不同数据表）
    */
    @ApiModelProperty("数据编号（根据出库方式，编号来自不同数据表）")
    private Long dataId;
    /**
    * 数据项项编号（根据出库方式，编号来自不同数据表）
    */
    @ApiModelProperty("数据项项编号（根据出库方式，编号来自不同数据表）")
    private Long dataItemId;
    /**
    * 出库数量
    */
    @ApiModelProperty("出库数量")
    private Integer issueNumber;
    /**
    * 剩余数量
    */
    @ApiModelProperty("剩余数量")
    private Integer remainingNumber;
    /**
    * 领取用户编号
    */
    @ApiModelProperty("领取用户编号")
    private Long receiveUserId;
    /**
    * 出库用户编号
    */
    @ApiModelProperty("出库用户编号")
    private Long issueUserId;
    /**
    * 出库方式(xjr_dictionary_item[issue_mode])
    */
    @ApiModelProperty("出库方式(xjr_dictionary_item[issue_mode])")
    private String issueMode;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;


}