package com.xjrsoft.module.textbook.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.util.List;
import java.util.Date;


/**
* @title: 教材申领
* @Author szs
* @Date: 2023-12-26
* @Version 1.0
*/
@Data
@TableName("wf_textbook_claim")
@ApiModel(value = "wf_textbook_claim", description = "教材申领")
public class WfTextbookClaim implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 班级编号
    */
    @ApiModelProperty("班级编号")
    private Long classId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 学生编号
    */
    @ApiModelProperty("学生编号")
    private Long studentUserId;
    /**
    * 领取地点
    */
    @ApiModelProperty("领取地点")
    private String claimAddress;
    /**
    * 申领类型(xjr_dictionary_item[claim_type])
    */
    @ApiModelProperty("申领类型(xjr_dictionary_item[claim_type])")
    private String claimType;
    /**
    * 代领取人
    */
    @ApiModelProperty("代领取人")
    private String receiveUserId;
    /**
    * 领取用户编号（申请人帮领取人申请去领取）
    */
    @ApiModelProperty("领取用户编号（申请人帮领取人申请去领取）")
    private Long claimUserId;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ApiModelProperty("状态（1:结束 0:未结束）")
    private Integer status;

    /**
    * wfTextbookClaimItem
    */
    @ApiModelProperty("wfTextbookClaimItem子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "wfTextbookClaimId")
    private List<WfTextbookClaimItem> wfTextbookClaimItemList;

}