package com.xjrsoft.module.textbook.entity;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import com.github.yulichang.annotation.EntityMapping;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.io.Serializable;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;


/**
* @title: 教材教辅征订
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
@TableName("wf_textbook_subscription")
@ApiModel(value = "wf_textbook_subscription", description = "教材教辅征订")
public class WfTextbookSubscription implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    @TableId
    private Long id;
    /**
    * 创建人
    */
    @ApiModelProperty("创建人")
    @TableField(fill = FieldFill.INSERT)
    private Long createUserId;
    /**
    * 创建时间
    */
    @ApiModelProperty("创建时间")
    @TableField(fill = FieldFill.INSERT)
    private Date createDate;
    /**
    * 修改人
    */
    @ApiModelProperty("修改人")
    @TableField(fill = FieldFill.UPDATE)
    private Long modifyUserId;
    /**
    * 修改时间
    */
    @ApiModelProperty("修改时间")
    @TableField(fill = FieldFill.UPDATE)
    private Date modifyDate;
    /**
    * 删除标记
    */
    @ApiModelProperty("删除标记")
    @TableField(fill = FieldFill.INSERT)
    @TableLogic
    private Integer deleteMark;
    /**
    * 有效标志
    */
    @ApiModelProperty("有效标志")
    @TableField(fill = FieldFill.INSERT)
    private Integer enabledMark;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 申请人
    */
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 所在部门编号
    */
    @ApiModelProperty("所在部门编号")
    private Long deptId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;
    /**
     * 状态（1:结束 0:未结束）
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    @ApiModelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    private Integer status;

    /**
     * 征订方式（1:结束 2:未结束）
     */
    @ApiModelProperty("征订方式（1:按班级征订 2:按教材征订）")
    private Integer subscriptionMethod;

    /**
    * wfTextbookSubscriptionItem
    */
    @ApiModelProperty("wfTextbookSubscriptionItem子表")
    @TableField(exist = false)
    @EntityMapping(thisField = "id", joinField = "wfTextbookSubscriptionId")
    private List<WfTextbookSubscriptionItem> wfTextbookSubscriptionItemList;

}