package com.xjrsoft.module.textbook.service.impl;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.yulichang.base.MPJBaseServiceImpl;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordExportDto;
import com.xjrsoft.module.textbook.dto.TextbookIssueRecordPageDto;
import com.xjrsoft.module.textbook.entity.TextbookIssueRecord;
import com.xjrsoft.module.textbook.mapper.TextbookIssueRecordMapper;
import com.xjrsoft.module.textbook.service.ITextbookIssueRecordService;
import com.xjrsoft.module.textbook.vo.TextbookIssueRecordPageVo;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @title: 教材出库记录
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Service
@AllArgsConstructor
public class TextbookIssueRecordServiceImpl extends MPJBaseServiceImpl<TextbookIssueRecordMapper, TextbookIssueRecord> implements ITextbookIssueRecordService {
    private final TextbookIssueRecordMapper textbookIssueRecordMapper;
    @Override
    public Page<TextbookIssueRecordPageVo> getPage(Page<TextbookIssueRecordPageDto> page, TextbookIssueRecordPageDto dto) {
        return textbookIssueRecordMapper.getPage(page, dto);
    }

    @Override
    public List<TextbookIssueRecordPageVo> getList(TextbookIssueRecordExportDto dto) {
        return textbookIssueRecordMapper.getList(dto);
    }

    @Override
    public List<TextbookIssueRecordPageVo> getList() {
        return getList(new TextbookIssueRecordExportDto());
    }
}
