package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.List;
import java.util.Date;

/**
* @title: 教材出库记录表单出参
* @Author szs
* @Date: 2023-12-27
* @Version 1.0
*/
@Data
public class TextbookIssueRecordVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 序号
    */
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 教材申领编号
    */
    @ApiModelProperty("教材申领编号")
    private Long wfTextbookClaimId;
    /**
    * 教材申领项编号
    */
    @ApiModelProperty("教材申领项编号")
    private Long wfTextbookClaimItemId;
    /**
    * 出库数量
    */
    @ApiModelProperty("出库数量")
    private Integer issueNumber;
    /**
    * 剩余数量
    */
    @ApiModelProperty("剩余数量")
    private Integer remainingNumber;
    /**
    * 领取用户编号
    */
    @ApiModelProperty("领取用户编号")
    private Long receiveUserId;
    /**
    * 出库用户编号
    */
    @ApiModelProperty("出库用户编号")
    private Long issueUserId;
    /**
    * 出库方式(xjr_dictionary_item[issue_mode])
    */
    @ApiModelProperty("出库方式(xjr_dictionary_item[issue_mode])")
    private String issueMode;
    /**
    * 备注
    */
    @ApiModelProperty("备注")
    private String remark;



}
