package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材管理分页列表出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
     * 教材编号
     */
    @ApiModelProperty("教材编号")
    private String textbookId;
    /**
    * 序号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("序号")
    @ApiModelProperty("序号")
    private Integer sortCode;
    /**
    * 国际标准刊号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("国际标准刊号")
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 书名
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主编")
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
     * 学科组名称
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学科组名称")
    @ApiModelProperty("学科组名称")
    private String groupName;

    /**
    * 学期名称
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期名称")
    @ApiModelProperty("学期名称")
    private String semesterName;
    /**
    * 课程
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("课程")
    @ApiModelProperty("课程")
    private String courseName;
    /**
    * 版本
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("版本")
    @ApiModelProperty("版本")
    private String version;
    /**
    * 是否为规划教材
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("是否为规划教材")
    @ApiModelProperty("是否为规划教材")
    private String isTextbookPlanCn;

    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教材类型")
    @ApiModelProperty("教材类型-中文")
    private String textbookTypeCn;
    /**
    * 规格型号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("规格型号")
    @ApiModelProperty("规格型号")
    private String specificationsModels;
    /**
    * 估价(元)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("估价(元)")
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 定价(元)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("定价(元)")
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
    * 折扣
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("折扣")
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 小计（元）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("小计（元）")
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;
    /**
    * 库存
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("库存")
    @ApiModelProperty("库存")
    private Integer stock;

    /**
     * 使用年级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用年级")
    @ApiModelProperty("使用年级")
    private String useGrade;

    /**
     * 使用班级
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级")
    @ApiModelProperty("使用班级")
    private String useClass;
    /**
     * 使用类型(单位：学期)
     */
    @ApiModelProperty("使用类型(单位：学期)")
    private Integer useType;
}
