package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;

/**
* @title: 教材教辅征订项表单出参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class TextbookSubscriptionExportQueryListVo {

    /**
     * 课程
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("课程")
    @ApiModelProperty("课程")
    private String courseName;
    /**
     * 书名
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("书名")
    @ApiModelProperty("书名")
    private String bookName;
    /**
     * 出版社
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
     * 教材类型(xjr_dictionary_item[textbook_type])
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("出版社")
    @ApiModelProperty("教材类型")
    private String textbookTypeCn;
    /**
     * 学生用书征订数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学生用书征订数量")
    @ApiModelProperty("学生用书征订数量")
    private Integer studentSubscriptionNumber;
    /**
     * 教师教材征订数量
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("教师教材征订数量")
    @ApiModelProperty("教师教材征订数量")
    private Integer teacherSubscriptionNumber;
    /**
     * 使用班级数
     */
    @ContentStyle(dataFormat = 49)
    @ExcelIgnore
    @ApiModelProperty("使用班级")
    private String classIds;
    /**
     * 使用班级数
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("使用班级数")
    @ApiModelProperty("使用班级数")
    private Integer classNum;
}
