package com.xjrsoft.module.textbook.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
* @title: 教材管理表单出参
* @Author szs
* @Date: 2023-12-25
* @Version 1.0
*/
@Data
public class TextbookVo {

    /**
    * 主键编号
    */
    @ApiModelProperty("主键编号")
    private Long id;
    /**
    * 国际标准刊号
    */
    @ApiModelProperty("国际标准刊号")
    private String issn;
    /**
    * 书名
    */
    @ApiModelProperty("书名")
    private String bookName;
    /**
    * 出版社
    */
    @ApiModelProperty("出版社")
    private String publishingHouse;
    /**
    * 主编
    */
    @ApiModelProperty("主编")
    private String editorInChief;
    /**
    * 学科组管理编号(subject_group)
    */
    @ApiModelProperty("学科组管理编号(subject_group)")
    private Long subjectGroupId;
    /**
    * 学期ID(base_semester)
    */
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
    * 课程编号(base_course_subject)
    */
    @ApiModelProperty("课程编号(base_course_subject)")
    private Long courseSubjectId;
    /**
    * 版本
    */
    @ApiModelProperty("版本")
    private String version;
    /**
    * 是否为规划教材(xjr_dictionary_item[judgment_method_1])
    */
    @ApiModelProperty("是否为规划教材(xjr_dictionary_item[judgment_method_1])")
    private String isTextbookPlan;
    /**
    * 教材类型(xjr_dictionary_item[textbook_type])
    */
    @ApiModelProperty("教材类型(xjr_dictionary_item[textbook_type])")
    private String textbookType;
    /**
    * 规格型号
    */
    @ApiModelProperty("规格型号")
    private String specificationsModels;
    /**
    * 估价(元)
    */
    @ApiModelProperty("估价(元)")
    private BigDecimal appraisalPrice;
    /**
    * 定价(元)
    */
    @ApiModelProperty("定价(元)")
    private BigDecimal price;
    /**
    * 折扣
    */
    @ApiModelProperty("折扣")
    private Double discount;
    /**
    * 小计（元）
    */
    @ApiModelProperty("小计（元）")
    private BigDecimal subtotal;
    /**
    * 库存
    */
    @ApiModelProperty("库存")
    private Integer stock;

    /**
     * 入学年级(base_grade)
     */
    @ApiModelProperty("入学年级(base_grade)")
    private Long gradeId;

    /**
     * 入学年级(base_grade)
     */
    @ApiModelProperty("使用班级")
    private List<TextbookClassRelationVo> textbookClassRelationList;

    /**
     * 使用类型(单位：学期)
     */
    @ApiModelProperty("使用类型(单位：学期)")
    private Integer useType;
}
