package com.xjrsoft.module.textbook.vo;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.write.style.ContentStyle;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import com.xjrsoft.common.annotation.Trans;
import com.xjrsoft.common.enums.TransType;
import java.time.LocalTime;
import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

/**
* @title: 教材教辅征订分页列表出参
* @Author szs
* @Date: 2024-06-04
* @Version 1.0
*/
@Data
public class WfTextbookSubscriptionPageVo {

    /**
    * 主键编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("主键编号")
    @ApiModelProperty("主键编号")
    private String id;
    /**
    * 创建时间
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("创建时间")
    @ApiModelProperty("创建时间")
    private Date createDate;
    /**
    * 申请人
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("申请人")
    @ApiModelProperty("申请人")
    private Long applicantUserId;
    /**
    * 所在部门编号
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("所在部门编号")
    @ApiModelProperty("所在部门编号")
    private Long deptId;
    /**
    * 学期ID(base_semester)
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期ID(base_semester)")
    @ApiModelProperty("学期ID(base_semester)")
    private Long baseSemesterId;
    /**
     * 学期ID(base_semester)
     */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("学期ID(base_semester)")
    @ApiModelProperty("学期ID(base_semester)")
    private String baseSemesterIdCn;
    /**
    * 状态（1:结束 0:未结束）
    */
    @ContentStyle(dataFormat = 49)
    @ExcelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    @ApiModelProperty("状态（1:待发起 2:征订中 3:待入库 4:已入库）")
    private Integer status;
    /**
     * 征订方式（1:结束 2:未结束）
     */
    @ApiModelProperty("征订方式（1:按班级征订 2:按教材征订）")
    private Integer subscriptionMethod;
    /**
     * 备注
     */
    @ApiModelProperty("备注")
    private String remark;

    private Integer sum;
}
